import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { Icon } from '@teambit/evangelist.elements.icon';
import classNames from 'classnames';
import { ExpandableTabContent } from '@teambit/ui-foundation.ui.use-box.tab-content';
import { BitInfo } from '@teambit/ui-foundation.ui.use-box.bit-info';
import { TooltipCopybox } from './tooltip-copybox';
import styles from './menu.module.scss';
export function Import({ componentId, packageName, componentName, showInstallMethod = true, ...rest }) {
    return (_jsx(ExpandableTabContent, { ...rest, content: _jsxs("div", { className: styles.importContent, children: [_jsxs(_Fragment, { children: [_jsxs("div", { className: classNames(!showInstallMethod && styles.disabled), children: [!showInstallMethod && _jsx(Icon, { className: styles.warnIcon, of: "warn-circle" }), showInstallMethod && `Add ${componentName} as a dependency`, !showInstallMethod && 'Installation unavailable: This component has not been built yet'] }), showInstallMethod && (_jsx(TooltipCopybox, { content: `bit install ${packageName ?? ''}`, disabled: !showInstallMethod }))] }), _jsx("div", { children: `Import ${componentName} to your workspace` }), _jsx(TooltipCopybox, { content: `bit import ${componentId}` }), _jsx("div", { children: `Fork ${componentName} to your workspace` }), _jsx(TooltipCopybox, { content: `bit fork ${componentId}` })] }), drawerTitle: _jsxs("div", { className: styles.bottom, children: [_jsx(Icon, { color: "yellow", of: "download" }), _jsx("span", { children: "Install Bit on your computer" })] }), drawerContent: _jsx(BitInfo, {}) }));
}
//# sourceMappingURL=import.js.map