import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import classNames from 'classnames';
import { Icon } from '@teambit/evangelist.elements.icon';
import { HighlightedText } from '@teambit/documenter.ui.highlighted-text';
import { ExpandableTabContent } from '@teambit/ui-foundation.ui.use-box.tab-content';
import { TooltipCopybox } from './tooltip-copybox';
import { Registry } from './registry';
import styles from './menu.module.scss';
export function Install({ componentName, copyString, registryName, packageManager, config, isInstallable, ...rest }) {
    return (_jsx(ExpandableTabContent, { ...rest, content: _jsxs(_Fragment, { children: [_jsxs("div", { className: classNames(!isInstallable && styles.disabled), children: [!isInstallable && _jsx(Icon, { className: styles.warnIcon, of: "warn-circle" }), isInstallable && `Install ${componentName} with ${packageManager}`, !isInstallable && 'Installation unavailable: This component has not been built yet'] }), isInstallable && _jsx(TooltipCopybox, { content: copyString, disabled: !isInstallable })] }), drawerTitle: registryName && (_jsxs("div", { className: styles.bottom, children: [_jsx(Icon, { of: "settings" }), _jsxs("span", { children: ["Configure ", _jsx(HighlightedText, { children: registryName }), " as a Scoped Registry"] })] })), drawerContent: registryName && _jsx(Registry, { copyString: config }) }));
}
//# sourceMappingURL=install.js.map