import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useState, useMemo } from 'react';
import classNames from 'classnames';
import { Icon } from '@teambit/evangelist.elements.icon';
import orderBy from 'lodash.orderby';
import flatten from 'lodash.flatten';
import { Tab } from '@teambit/ui-foundation.ui.use-box.tab';
import styles from './menu.module.scss';
export function Menu({ methods, componentName, ...rest }) {
    const [activeTab, setActiveTab] = useState(0);
    const OrderedMethods = useMemo(() => {
        return orderBy(flatten(methods), ['order']);
    }, [methods]);
    const { Component } = OrderedMethods[activeTab] || {};
    return (_jsxs("div", { ...rest, className: classNames(rest.className, styles.container), children: [_jsx("div", { className: styles.top, children: _jsxs("div", { className: styles.title, children: [_jsx(Icon, { of: "terminal" }), _jsx("span", { children: `Use ${componentName}` })] }) }), _jsx("div", { className: styles.tabs, children: OrderedMethods.map(({ Title }, index) => {
                    return (_jsx(Tab, { isActive: activeTab === index, onClick: () => setActiveTab(index), children: Title }, index));
                }) }), Component] }));
}
//# sourceMappingURL=menu.js.map